Bug 885664 - OpenSSHD availability check may report stale data
OpenSSHD availability check may report stale data
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 06:11 EST by Thomas Segismont
Modified: 2013-09-03 10:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:43:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Segismont 2012-12-10 06:11:24 EST
Description of problem:
When monitoring OpenSSHD, status update may be wrong for an arbitrary number of availability checks.

Version-Release number of selected component (if applicable):
4.6.0-SNAPSHOT

How reproducible:


Steps to Reproduce:
1.Start OpenSSHD on an monitored machine
2.When OpenSSHD availability status is "UP", close/kill OpenSSHD
  
Actual results:
The availability status is still "UP" for a time longer than the availability check interval.

Expected results:
The availability status should be "DOWN" as soon as the availability check interval has elapsed.

Additional info:
Same problem as in bug 879583 [1]

[1] https://bugzilla.redhat.com/show_bug.cgi?id=879583
Comment 1 Thomas Segismont 2012-12-10 16:09:57 EST
Made a fix on branch bug/885664
Comment 2 Thomas Segismont 2013-01-04 13:09:29 EST
Also affects MySQL
Comment 3 Thomas Segismont 2013-01-24 12:00:37 EST
Does not affect MySQL avail check actually
Comment 4 Thomas Segismont 2013-01-24 12:01:34 EST
Fixed in master 3ded44d
Comment 5 Thomas Segismont 2013-02-05 09:30:22 EST
Additional commit in master 187c484

The first commit introduced a refresh interval guard in ProcessInfo which is no longer needed.
Comment 6 Heiko W. Rupp 2013-09-03 10:43:04 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.